For the complete documentation index, see llms.txt. This page is also available as Markdown.

Affiliate

Register partner

post
/affiliate/partner-register

Registers the user as a partner in the affiliate program.

Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Body
partnerCodestringRequired
paypalMeLinkstringRequired
applyPromoToLinkbooleanRequired

Whether to automatically apply the partner's promo code to their referral link. Required — the UI form pre-ticks this checkbox, but the server does not substitute a default when the field is omitted.

termsAndConditionsbooleanRequired
Responses
200

Successful response

application/json
okintegerOptional
post/affiliate/partner-register
POST /api/v2/affiliate/partner-register HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Content-Type: application/json
Accept: */*
Content-Length: 123

{
  "partnerCode": "mypartnercode",
  "paypalMeLink": "paypal.me/mypaypallink69",
  "applyPromoToLink": true,
  "termsAndConditions": true
}
200

Successful response

{
  "ok": 1
}

Get commission stats

get
/affiliate/stats

Retrieves graph data for commisions in the past year for the current user.

Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Query parameters
dateFromstring · dateOptionalExample: 2021-08-01
dateTostring · dateOptionalExample: 2021-11-01
Responses
200

Successful response

application/json
get/affiliate/stats
GET /api/v2/affiliate/stats HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Accept: */*
200

Successful response

{
  "stats": [
    {
      "date": "2020-10-11",
      "visits": 12,
      "registrations": 4,
      "commission": 400
    },
    {
      "date": "2020-10-12",
      "visits": 3,
      "registrations": 0,
      "commission": 0
    },
    {
      "date": "2020-10-13",
      "visits": 0,
      "registrations": 0,
      "commission": 0
    },
    {
      "date": "2020-10-14",
      "visits": 1,
      "registrations": 0,
      "commission": 500
    },
    {
      "date": "2020-10-15",
      "visits": 6,
      "registrations": 5,
      "commission": 0
    },
    {
      "date": "2020-10-16",
      "visits": 7,
      "registrations": 3,
      "commission": 1000
    }
  ]
}

Get commissions

get
/affiliate/commissions

Retrieves detailed data about individual commisions of the current user.

Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Query parameters
statusIdintegerOptionalExample: 1
dateFromstring · dateOptionalExample: 2021-08-01
dateTostring · dateOptionalExample: 2021-11-01
pg[sortBy]string · enumOptional

The value that will be used to sort returned entities by.

Example: idPossible values:
pg[offset]integerOptional

The value of entities you want to skip before getting entities you need.

pg[sortDir]string · enumOptional

The sorting order. It accepts the ascending and descending direction specifiers.

Possible values:
pg[limit]integerOptional

Sets the maximum number of results per page in the API call response. For example, pg[limit]=100. The default number varies with different API endpoints.

Responses
200

Successful response

application/json
get/affiliate/commissions
GET /api/v2/affiliate/commissions HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Accept: */*
200

Successful response

{
  "commissions": [
    {
      "id": 1,
      "organization_id": 3,
      "created": "2021-10-01T12:19:49.227Z",
      "type": "Registration",
      "status": "Registration",
      "commission": null,
      "source": "http://foo.bar",
      "payout_requested": null,
      "payout_approved": null,
      "payout_realized": null
    },
    {
      "id": 2,
      "organization_id": 3,
      "created": "2021-10-01T12:19:49.227Z",
      "type": "Payment",
      "status": "Available",
      "commission": 300,
      "source": null,
      "payout_requested": null,
      "payout_approved": null,
      "payout_realized": null
    },
    {
      "id": 3,
      "organization_id": 3,
      "created": "2021-11-21T12:19:49.227Z",
      "type": "Payment",
      "status": "Requested",
      "commission": 500,
      "source": null,
      "payout_requested": "2021-12-21T12:19:49.227Z",
      "payout_approved": null,
      "payout_realized": null
    },
    {
      "id": 4,
      "organization_id": 4,
      "created": "2021-11-21T12:19:49.227Z",
      "type": "Payment",
      "status": "Approved",
      "commission": 658.5,
      "source": null,
      "payout_requested": "2021-12-01T12:19:49.227Z",
      "payout_approved": "2021-12-03T12:19:49.227Z",
      "payout_realized": null
    },
    {
      "id": 5,
      "partner_id": 1,
      "organization_id": 4,
      "created": "2021-11-21T12:19:49.227Z",
      "type": "Payment",
      "status": "Paid",
      "commission": 300,
      "source": null,
      "payout_requested": "2021-02-01T12:19:49.227Z",
      "payout_approved": "2021-02-03T12:19:49.227Z",
      "payout_realized": "2021-02-04T12:19:49.227Z"
    }
  ]
}

Get commission info

get
/affiliate/commission-info

Retrieves general info about accumulated commissions of the current user.

Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Query parameters
dateFromstring · dateOptionalExample: 2021-08-01
dateTostring · dateOptionalExample: 2021-11-01
Responses
200

Successful response

application/json
partnerCodestringOptional
availablePayoutnumberOptional
availablePayoutDistinctOrgsintegerOptional
isPayoutRequestedbooleanOptional
isPayoutAvailablebooleanOptional
minimumPayoutnumberOptional
minimumOrganizationsintegerOptional
earningsRangenumberOptional
earningsTotalnumberOptional
usersBroughtPayingRangeintegerOptional
usersBroughtPayingTotalintegerOptional
usersBroughtAllRangeintegerOptional
usersBroughtAllTotalintegerOptional
orgsBroughtPayingRangeintegerOptional
orgsBroughtPayingTotalintegerOptional
orgsBroughtAllRangeintegerOptional
orgsBroughtAllTotalintegerOptional
conversionRateUsersPayingRangenumberOptional
conversionRateUsersPayingTotalnumberOptional
conversionRateUsersAllRangenumberOptional
conversionRateUsersAllTotalnumberOptional
conversionRateOrgsPayingRangenumberOptional
conversionRateOrgsPayingTotalnumberOptional
conversionRateOrgsAllRangenumberOptional
conversionRateOrgsAllTotalnumberOptional
get/affiliate/commission-info
GET /api/v2/affiliate/commission-info HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Accept: */*
200

Successful response

{
  "partnerCode": "mypartnercode",
  "availablePayout": 300.5,
  "availablePayoutDistinctOrgs": 3,
  "isPayoutRequested": false,
  "isPayoutAvailable": true,
  "minimumPayout": 100,
  "minimumOrganizations": 3,
  "earningsRange": 200.5,
  "earningsTotal": 3333.45,
  "usersBroughtPayingRange": 1,
  "usersBroughtPayingTotal": 2,
  "usersBroughtAllRange": 5,
  "usersBroughtAllTotal": 12,
  "orgsBroughtPayingRange": 2,
  "orgsBroughtPayingTotal": 3,
  "orgsBroughtAllRange": 8,
  "orgsBroughtAllTotal": 16,
  "conversionRateUsersPayingRange": 0.25,
  "conversionRateUsersPayingTotal": 0.1875,
  "conversionRateUsersAllRange": 0.11,
  "conversionRateUsersAllTotal": 0.05,
  "conversionRateOrgsPayingRange": 0.25,
  "conversionRateOrgsPayingTotal": 0.1875,
  "conversionRateOrgsAllRange": 0.11,
  "conversionRateOrgsAllTotal": 0.05
}

Request payout

post
/affiliate/payout-request

Request a payout of available commissions.

Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Responses
200

Successful response

application/json
okintegerOptional
post/affiliate/payout-request
POST /api/v2/affiliate/payout-request HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Accept: */*
200

Successful response

{
  "ok": 1
}

Last updated